{% extends 'bases/home.html' %}

{% load static %}

{% block content_wraper %}

{% endblock content_wraper %}

{% block content %}
<div class="row">
    <div class="col-12">
        <div class="card">
            <div class="card-header">                
                {% if obj %} Editar {% else %} Crear {% endif %} Grupo de usuario                                    
            </div>

            <div class="card-body">
                <!-- form -->
                <form action="POST" class="form-group">
                    {% csrf_token %}

                    <div class="form-group">
                        <label for="IdNombre">Nombre</label>
                        <input type="text" class="form-control" id="id_name" name="name" placeholder="Nombre del grupo:"
                        value="{{ obj.name }}">
                    </div>

                    <div class="dropdown-divider"></div>
                    <button type="submit" class="btn bg-success btn-app" disabled>
                        <i class="fas fa-save"></i>Guardar
                    </button>

                    <button type="reset" class="btn bg-info btn-app">
                        <i class="fa fa-window-close"></i>Cancelar
                    </button>

                    <a href="{% url 'perfiles:users_groups_list' %}" class="btn btn-app bg-warning">
                        <i class="far fa-hand-point-left"></i>Regresar
                    </a>
                </form>
                <!-- ./form -->
            </div>
        </div>
    </div>
</div>

{% if obj %}
<div class="row">
    <!-- columna 1 -->
    <div class="col-6">
        .<div class="card">
            <div class="card-header">
                Permisos del grupo {{ obj }}
            </div>
            <div class="card-body">
                <table id="tblGrp" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>NOMBRE</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>

                    <tbody>
                        
                        {% for item in permisos_grupo %}
                            <tr>
                                <td>{{ item.id }}</td>
                                <td>{{ item.name }}</td>
                                <td>
                                    <a href="#" class="btn btn-sm text-success">
                                        <i class="fa fa-trash"></i>
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                            
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- ./columna 1 -->

    <!-- columna 2 -->
    <div class="col-6">
        .<div class="card">
            <div class="card-header">
                Todos los permisos
            </div>
            <div class="card-body">
                <table id="example1" class="table table-bordered table-striped">
                    <thead>
                        <tr>
                            <th>ID</th>
                            <th>NOMBRE</th>
                            <th>ACCIONES</th>
                        </tr>
                    </thead>

                    <tbody>
                        
                        {% for item in permisos %}
                            <tr>
                                <td>{{ item.id }}</td>
                                <td>{{ item.name }}</td>
                                <td>
                                    <a href="#" class="btn btn-sm text-success">
                                        <i class="fa fa-plus"></i>
                                    </a>
                                </td>
                            </tr>
                        {% endfor %}
                            
                    </tbody>
                </table>
            </div>
        </div>
    </div>
    <!-- ./columna 2 -->
</div>
{% endif %}
    

{% endblock content %}